Kerbal Space Program - Bug #10092

[1.1.3] - (modded KSP) - Physics kick-in problems with sea "based" ship
07/07/2016 02:08 PM - Linkdeous

Status: Confirmed Start date: 07/07/2016
Severity: Normal % Done: 10%
Assignee:

Category: Physics

Target version:

Version: 1.1.3 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

Hi, i'm Linkdeous, i have a problem since KSP 1.0.3 (If i remember well)

The problem is , when using a tall ship, even somme little one, when leaving them in the water (exemple : a basic boat)

when re-entering in the physics range with a plane, the boat just get propulsed something like 500 meters up in the air...

When using the "A!" button (My button to switch vessel) or when ,after click on "switch to", or "fly" in the space center, the WHOLE
kerbin/ship disspear, ... no more planets, no more boat, nothing, just the space, the altitude meters show only 500 meters tough ....
really strange isn't it ? So, to be short, the problem from KSP 1.0.5 / 1.0.3 with the physics range is still alive ... Does there is a way
to "safely" put a ship on land , or at least something that can prevent my ship to be ejected 500 meters high in the sky ? Thanks you
very much A+

History

#1 - 07/09/2016 08:24 AM - Azimech
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Confirmed with stock as well. Also, first contact with water when landing a vessel can create violent jolts which create massive RUD's, which is new.

#2 - 07/10/2016 05:57 PM - SpannerMonkey

Confirmed here also, seems to be triggered by or related to vessels mass,lighter vessels ( 100's of tonnes) suffer the effect far less than heavier ones,
the effect can still occur but with less savagery and frequency than that encountered when using vessels of several thousand tonnes

#3 - 07/17/2016 11:22 AM - TriggerAu

- Severity changed from High to Normal

#4 - 07/17/2016 11:49 PM - Claw

If you can attach a save with just this ship in it (i.e. delete all the other vessels), that would let me look at the save file structure and see if there's
something unusual in there.

#5 - 07/22/2016 01:58 AM - SpannerMonkey

@Claw will do that, If i create a new install with just the stock parts and The Large Boat Parts Pack (90% of the hulls in that pack suffer from the
effect) and either hyper edit. Vessel mover,or kerbal constructs( in order to move vessel to water, Will that work for you?

#6 - 07/22/2016 02:36 AM - SpannerMonkey
- File KSP 113 savegame PHYS KICKER.zip added
- File sysinfo.zip added

See attached save game, ship launched and suffering physics kick issues, start game from KSC view select vessel and observe
